local c = BittensSpellFlashLibrary

c.SLOW_MELEE_DEBUFFS = {
    68055, -- Judgements of the Just 
    58180, -- Infected Wounds 
    59921, -- Frost Fever 
    6343, -- Thunder Clap 
    8042, -- Earth Shock 
    50285, -- Dust Cloud 
    16914, -- Hurricane 
    90314, --Tailspin
}

c.ARMOR_DEBUFFS = {
    7386, -- Sunder Armor
    8647, -- Expose Armor
    91565, -- Faerie Fire
    35387, -- Corrosive Spit
    50498, -- Tear Armor
}

c.PHYSICAL_DAMAGE_DEBUFFS = {
    702, -- Curse of Weakness
    99, -- Demoralizing Roar
    1160, -- Demoralizing Shout 
    81130, -- Scarlet Fever 
    26017, -- Vindication
}

c.BLEED_DEBUFFS = {
    33876, -- Mangle
    46857, -- Trauma
    16511, -- Hemorrhage
    50271, -- Tendon Rip
    35290, -- Gore
    57386, -- Stampede
}

c.FIVE_PERCENT_BUFFS = {
    1126, -- Mark of the Wild
    20217, -- Blessing of Kings
    90363, -- Embrace of the Shale Spider
--    117666, -- Legacy of the Emperor
}
if select(4, GetBuildInfo()) >= 50000 then
	table.insert(c.FIVE_PERCENT_BUFFS, 117666) -- Legacy of the Emperor
end

c.STAMINA_BUFFS = {
    79105, -- Power Word: Fortitude
    90364, -- Qiraji Fortitude
    6307, -- Blood Pact
    469, -- Commanding Shout
}

c.SHADOW_RESISTANCE_BUFFS = {
    19891, -- Resistance Aura
    79107, -- Shadow Protection
}

c.INTELLECT_BUFFS = {
    1459, -- Arcane Brilliance
    61316, -- Dalaran Brilliance
    52109, -- Flametongue Totem
    54424, -- Fel Intelligence
}

c.MANA_BUFFS = {
    1459, -- Arcane Brilliance
    61316, -- Dalaran Brilliance
    54424, -- Fel Intelligence
}

c.ATTACK_POWER_BUFFS = {
    79102, -- Blessing of Might
    53138, -- Abomination's Might
    19506, -- Trueshot Aura
    30808, -- Unleashed Rage
}

c.MP5_BUFFS = {
    19740, -- Blessing of Might
    5675, -- Mana Spring Totem
    54424, -- Fel Intelligence
}

c.CRIT_DEBUFFS = {
    22959, -- Critical Mass
    17800, -- Shadow and Flame
}

c.BLOODLUST_BUFFS = {
    90355, -- Ancient Hysteria
    80353, -- Time Warp
    2825, -- Bloodlust
    32182, -- Heroism
}

c.STR_AGI_BUFFS = {
    57330, -- Horn of Winter
    93435, -- Roar of Courage
    8075, -- Strength of Earth Totem
    6673, -- Battle Shout
}

c.SPELL_DAMAGE_DEBUFFS = {
    1490, -- Curse of the Elements
    86105, -- Jinx: Curse of the Elements
    58410, -- Master Poisoner
    51160, -- Ebon Plaguebringer
    48506, -- Earth and Moon
    34889, -- Fire Breath
    24844, -- Lightning Breath
}
